libcoap 4.3.2rc2

Functions
WebSockets Support
Application API

API for interfacing with WebSockets (RFC8323) More...

## Functions
int | coap_ws_is_supported (void)
| Check whether WebSockets is available. More...
int | coap_wss_is_supported (void)
| Check whether Secure WebSockets is available. More...
int | coap_ws_set_host_request (coap_session_t *session, coap_str_const_t *ws_host)
| Set the host for the HTTP Host: Header in the WebSockets Request. More...

## Detailed Description

API for interfacing with WebSockets (RFC8323)

## Function Documentation

## ◆ coap_ws_is_supported()

int coap_ws_is_supported | ( | void |  | ) |

Check whether WebSockets is available.

Returns
  `1` if support for WebSockets is available, or `0` otherwise.

Definition at line 935 of file coap_ws.c.

## ◆ coap_ws_set_host_request()

int coap_ws_set_host_request | ( | coap_session_t * | session,
|  | coap_str_const_t * | ws_host
| ) |  |

Set the host for the HTTP Host: Header in the WebSockets Request.

Returns
  `1` if successful, else `0` if failure of some sort.

Definition at line 945 of file coap_ws.c.

## ◆ coap_wss_is_supported()

int coap_wss_is_supported | ( | void |  | ) |

Check whether Secure WebSockets is available.

Returns
  `1` if support for Secure WebSockets is available, or `0` otherwise.

Definition at line 940 of file coap_ws.c.